## kde-thumbnailer-epub 1.1.9b

=== CMakeLists.txt ===
project(kde-thumbnailer-epub)
cmake_minimum_required(VERSION 2.8.12)
set(QT_MIN_VERSION "5.2.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui XmlPatterns)
find_package(KF5 REQUIRED COMPONENTS KIO Archive)

set(epubthumbnail_SRCS epubthumbnail.cpp epub.cpp)

add_library(epubthumbnail MODULE ${epubthumbnail_SRCS})
target_link_libraries(epubthumbnail Qt5::Gui Qt5::XmlPatterns KF5::KIOWidgets KF5::Archive)

install(TARGETS epubthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES epubthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-thumbnailer-epub (1.1.9b-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux 25.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Sep 2025 09:36:41 -0700

kde-thumbnailer-epub (1.1.9b-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux 23.
  * Bump up to debhelper-compat = 12.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Apr 2023 15:43:55 -0700

kde-thumbnailer-epub (1.1.9b-1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.
  * Bump up to debhelper 10 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Sep 2021 12:06:43 -0700

kde-thumbnailer-epub (1.1.9b-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Oct 2019 21:17:30 -0700

kde-thumbnailer-epub (1.1.9b-1~mx17+1) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Feb 2018 19:08:07 -0800

=== debian/control ===
Source: kde-thumbnailer-epub
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libarchive-dev,
               libkf5archive-dev,
               libkf5kio-dev,
               libqt5xmlpatterns5-dev,
               pkg-kde-tools
Standards-Version: 3.9.8
Homepage: https://github.com/Caig/kde-thumbnailer-epub/

Package: kde-thumbnailer-epub
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE epub thumbnailer
 A KDE thumbnail generator for the ePub file format.

=== debian/rules ===
#!/usr/bin/make -f
 
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kde --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DKDE_INSTALL_USE_QT_SYS_PATHS=ON

override_dh_strip:
	dh_strip --no-automatic-dbgsym
